> For the complete documentation index, see [llms.txt](https://docs.zimo-pagos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zimo-pagos.com/api-documentation/cashouts-api/countries-validations/asian-countries/india.md).

# India

Check the requirements and validations made over the cashouts on India

## Required fields

<table data-header-hidden><thead><tr><th width="262.3333333333333">Field</th><th>Format</th><th>Description</th></tr></thead><tbody><tr><td>Field</td><td>Format</td><td>Description</td></tr><tr><td><code>login</code></td><td>String</td><td>Cashouts login</td></tr><tr><td><code>pass</code></td><td>String</td><td>Cashouts pass</td></tr><tr><td><code>external_id</code></td><td>String (max length: 100)</td><td>Transaction's ID on your end</td></tr><tr><td><code>document_id</code></td><td>See <a href="/countries-specifications.md#documents-validations">document validations</a></td><td>Beneficiary's document ID</td></tr><tr><td><code>country</code></td><td><code>IN</code></td><td>See <a href="/countries-specifications.md#countries-and-currencies">country codes</a></td></tr><tr><td><code>currency</code></td><td><code>INR</code> / <code>USD</code></td><td>See <a href="/countries-specifications.md#countries-and-currencies">currency codes</a></td></tr><tr><td><code>amount</code></td><td>Number with up to 2 decimals</td><td>Cashout amount</td></tr><tr><td><code>bank_account</code></td><td>See <a href="/api-documentation/cashouts-api/countries-validations/asian-countries/india.md#bank-account-validations">validations below</a></td><td>Beneficiary's bank account</td></tr><tr><td><code>bank_branch</code></td><td>See <a href="/api-documentation/cashouts-api/countries-validations/asian-countries/india.md#bank-branch-validations">validations below</a></td><td>Beneficiary's <a href="https://economictimes.indiatimes.com/wealth/ifsc-bank-code">IFSC</a></td></tr><tr><td><code>beneficiary_name</code></td><td>String (max length: 100)</td><td>Beneficiary's name</td></tr></tbody></table>

## Bank Account Validations

| Bank name | Bank code | Format                                                                            | Regex             | Example                     |
| --------- | :-------: | --------------------------------------------------------------------------------- | ----------------- | --------------------------- |
| Default   |     -     | Numeric values, not allowing spaces in between. Length between 9 and 18 inclusive | `^[0-9-.]{9,18}$` | 911010341747600, 9283749293 |

## Bank Branch Validations

The IFSC is short for Indian Financial System Code and this 11 characters code helps identify the individual bank branches that participate in the various online money transfer options like NEFT and RTGS. For more information and how to find a IFSC, please [click here.](https://economictimes.indiatimes.com/wealth/ifsc-bank-code)

| Bank | Description | Regex                              | Example                  |
| ---- | ----------- | ---------------------------------- | ------------------------ |
| All  | IFSC        | `^[A-Z\|a-z]{4}[0][a-zA-Z0-9]{6}$` | IDIB000M322, ANDB0000345 |

{% hint style="info" %}
**Note: We do not process Payouts to the following Banks/IFSC;**\
\- UCO Bank\
\- Paytm Payment Bank
{% endhint %}

## Document Validations

[Click here](/countries-specifications.md#documents-validations) to check document types and validations.

## Example Request

```java
{
    "login": "xxxxxxx",
    "pass": "xxxxxxx",
    "external_id": "30000000001",
    "document_id": "873839473",
    "beneficiary_name": "pruebaq",
    "country": "IN",
    "amount": 100,
    "currency": "INR",
    "bank_account": "234234323",
    "bank_branch": "IDIB000M322",
    "notification_url": "https://webhook.site/url",
    "type": "json"
}
```

## Bank Codes

{% hint style="warning" %}
The `bank_code` in India is not mandatory, and it is retrieved from the IFSC sent in the `bank_branch` instead.
{% endhint %}

{% hint style="info" %}
For the full and most up-to-date list of banks and its codes, please check the [Cashout Bank Code endpoint.](/api-documentation/cashouts-api/endpoints/cashout-bank-codes.md)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zimo-pagos.com/api-documentation/cashouts-api/countries-validations/asian-countries/india.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
